---
title: Window.convertPointFromPageToNode
slug: Web/API/Window/convertPointFromPageToNode
tags:
  - API
  - Method
  - Non-standard
  - Point
  - Reference
  - Safari
  - WebKit
  - Window
  - convertPointFromPageToNode
---
<div>{{APIRef}}</div>

<p>{{Non-standard_header}}</p>

<p>Given a {{domxref("Point")}} specified in the page's coordinate system, the {{domxref("Window")}} method <strong><code>convertPointFromPageToNode()</code></strong> returns a <code>Point</code> object specifying the same location in the coordinate system of the specified DOM {{domxref("Node")}}.</p>

<div class="warning">
<p>Please review the {{anch("Browser compatibility")}} section before using this method, as it's not widely supported (nor is the {{domxref("Point")}} object it uses).</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>Point</em> = <em>Window</em>.convertPointFromPageToNode(<em>node</em>, <em>pagePoint</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>node</code></dt>
 <dd>The {{domxref("Node")}} into whose coordinate system the point is to be converted.</dd>
 <dt><code>pagePoint</code></dt>
 <dd>A {{domxref("Point")}} object specifying a point in the coordinate system of the page, which is to be converted into the node's coordinate system.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A <code>Point</code> object describing the specified location in the node's coordinate system.</p>

<h2 id="Specifications">Specifications</h2>

<p>This method was specified in <a href="http://www.w3.org/TR/2009/WD-css3-2d-transforms-20090320/">the defunct 20 March 2009 Working Draft of CSS 2D Transforms Module Level 3</a>. It is not present in the current CSS Transforms Module Level 1 Working Draft.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.convertPointFromPageToNode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Window.convertPointFromNodeToPage()")}}</li>
 <li>Mozilla implementation bug: {{bug(850808)}}</li>
 <li><a href="https://msdn.microsoft.com/en-us/library/ie/dn760735(v=vs.85).aspx"><code>webkitConvertPointFromPageToNode</code> documentation at IE Dev Center</a></li>
</ul>
